summaryrefslogtreecommitdiff
path: root/.tools/init.sh
diff options
context:
space:
mode:
authorAndrei Karas <akaras@inbox.ru>2016-04-25 17:41:41 +0300
committerAndrei Karas <akaras@inbox.ru>2016-04-25 17:41:41 +0300
commit769b7cd25383477d3b4947691edc727743c0f9f7 (patch)
treee1e830e7eebdfbdbc0683f5b084b273a4b185f83 /.tools/init.sh
parentff1b59e68d7bbdfdc7ccce6283ebb0a83fbd196c (diff)
downloadclientdata-769b7cd25383477d3b4947691edc727743c0f9f7.tar.gz
clientdata-769b7cd25383477d3b4947691edc727743c0f9f7.tar.bz2
clientdata-769b7cd25383477d3b4947691edc727743c0f9f7.tar.xz
clientdata-769b7cd25383477d3b4947691edc727743c0f9f7.zip
Add scripts for add wrappers for fix gitlab network errors.
Diffstat (limited to '.tools/init.sh')
-rwxr-xr-x.tools/init.sh42
1 files changed, 42 insertions, 0 deletions
diff --git a/.tools/init.sh b/.tools/init.sh
new file mode 100755
index 00000000..6a9d408a
--- /dev/null
+++ b/.tools/init.sh
@@ -0,0 +1,42 @@
+#!/bin/bash
+
+function gitclone {
+ git clone $*
+ if [ "$?" != 0 ]; then
+ sleep 1s
+ git clone $*
+ if [ "$?" != 0 ]; then
+ sleep 3s
+ git clone $*
+ fi
+ fi
+}
+
+function aptget_update {
+ apt-get update
+ if [ "$?" != 0 ]; then
+ sleep 1s
+ apt-get update
+ if [ "$?" != 0 ]; then
+ sleep 1s
+ apt-get update
+ fi
+ fi
+}
+
+function aptget_install {
+ apt-get -y -qq install $*
+ if [ "$?" != 0 ]; then
+ sleep 1s
+ apt-get -y -qq install $*
+ if [ "$?" != 0 ]; then
+ sleep 2s
+ apt-get -y -qq install $*
+ fi
+ fi
+}
+
+function clientdata_init {
+ cd ..
+ ln -s clientdata client-data
+}